Name:           libwacom
Version:        1.4.1
Release:        1
Summary:        Wacom Tablets Library
Requires:       %{name}-data
License:        MIT
URL:            https://github.com/linuxwacom/libwacom
Source0:        https://github.com/linuxwacom/libwacom/releases/download/%{name}-%{version}/%{name}-%{version}.tar.bz2

BuildRequires:  meson gcc glib2-devel libgudev1-devel
BuildRequires:  systemd systemd-devel libxml2-devel

%description
libwacom is a library to identify wacom tablets and their model-specific
features. 

%package devel
Summary:        Tablet Information Client Library Library Development Package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
Development package for libwacom.

%package data
Summary:        Tablet Information Client Library Library Data Files
BuildArch:      noarch
%description data
Tablet information client library library data files.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
%meson -Dtests=disabled -Ddocumentation=disabled
%meson_build


%install
%meson_install
install -d ${RPM_BUILD_ROOT}/%{_udevrulesdir}

%check
%meson_test

%ldconfig_scriptlets

%files
%{_libdir}/libwacom.so.*
%{_udevrulesdir}/65-libwacom.rules
%{_udevhwdbdir}/65-libwacom.hwdb
%{_bindir}/libwacom-list-local-devices
%{_mandir}/man1/libwacom-list-local-devices.1*
%license COPYING
%doc README.md

%files devel
%{_libdir}/libwacom.so
%{_libdir}/pkgconfig/libwacom.pc
%{_includedir}/libwacom-1.0/libwacom/libwacom.h

%files data
%doc COPYING
%{_datadir}/libwacom/*.tablet
%{_datadir}/libwacom/*.stylus
%{_datadir}/libwacom/layouts/*.svg

%changelog
* Wed Aug 12 2020 xinghe <xinghe1@huawei.com> - 1.4.1-1
- Package update

* Tue Aug 20 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.31-2
- Package init
